textures/dingopent/pentagram
{
	q3map_lightimage textures/dingopent/pentagram.jpg
	q3map_surfacelight 100
	{
		map textures/dingopent/pentagram.jpg
		rgbGen wave square 0 1 0 .5
	}
	{
		map textures/dingopent/pentagrama.jpg
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/dingopent/pentagramb.jpg
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

//	END of Pentagram
//--------------------------------------------------------

textures/dingolava/lava2
{
	qer_editorimage textures/dingolava/lava1.jpg
	q3map_globaltexture
	q3map_surfacelight 100
	surfaceparm nonsolid
	surfaceparm lava
	surfaceparm nomarks
	tesssize 256

		//cull disable
		nofog

		waterfogvars ( 0.9 0.1 0.1 ) 128
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/dingolava/lava1.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
	{
		map textures/dingolava/lava2.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

//	END of lava version 2
//------------------------------------------------------------------------------------------------------

textures/dingopot/pot
{
	qer_editorimage textures/dingopot/pot.jpg
	q3map_globaltexture
	q3map_surfacelight 500
	surfaceparm nonsolid
	surfaceparm water
	tesssize 256

		nofog
		deformVertexes wave 64 sin 0 10 0 .3

		waterfogvars ( 0.9 0.1 0.1 ) 128
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/dingopot/pot2.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
	{
		map textures/dingopot/pot2.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

textures/dingopot/pot2
{
	qer_editorimage textures/dingopot/pot.jpg
	q3map_globaltexture
	q3map_surfacelight 500
	surfaceparm nonsolid
	surfaceparm water
	tesssize 256

	nofog

	waterfogvars ( 0.9 0.1 0.1 ) 128
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/dingopot/pot.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
	{
		map textures/dingopot/pot2.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

//	END of pot
//-----------------------------------------------------------------------------------------------------

models/mapobjects/flame/flame
{
	surfaceparm alphashadow
	cull disable
	{
		animmap 15 models/mapobjects/flame/flame.jpg models/mapobjects/flame/flame01.jpg models/mapobjects/flame/flame02.jpg models/mapobjects/flame/flame03.jpg models/mapobjects/flame/flame04.jpg models/mapobjects/flame/flame05.jpg
		blendfunc add
		rgbGen identity
	}
}

models/mapobjects/flame/lord
{
	 {
		map models/mapobjects/flame/flame.jpg
		tcMod scroll 1 1
		rgbGen identity
	}
	{
		map models/mapobjects/flame/lord.tga
		blendfunc blend
		rgbgen vertex
	}	
}

//	END of flame guy
//-----------------------------------------------------------------------------------------------------

models/mapobjects/vogt/punishment/punishment
{
	qer_editorimage models/mapobjects/vogt/punishment/punishment.tga
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.tga
		rgbGen identity
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_fx.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_mask.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment.tga
		blendfunc blend
		rgbGen Vertex
	}
}

models/mapobjects/vogt/punishment/lava
{
	qer_editorimage models/mapobjects/vogt/punishment/lavahell_dark.tga
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
}

// END of punishment, below finshed off with my shiney bricks
//-----------------------------------------------------------------------------------------------------

textures/tjdingo3/blue
{
	qer_editorimage textures/tjdingo3/blue.jpg	
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tjdingo3/blue.jpg	
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}  
	{
		map textures/tjdingo3/shiney.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
    }
}

textures/tjdingo3/white
{
	qer_editorimage textures/tjdingo3/white.jpg	
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tjdingo3/white.jpg	
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}  
	{
		map textures/tjdingo3/shiney.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
    }
}